Bug 564899

Summary: FTBFS flite-1.3-14.fc12: ImplicitDSOLinking
Product: [Fedora] Fedora Reporter: FTBFS <ftbfs>
Component: fliteAssignee: Francois Aucamp <francois.aucamp>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 13CC: francois.aucamp
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://linux.dell.com/files/fedora/FixBuildRequires/mock-results/
Whiteboard:
Fixed In Version: flite-1.3-16.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-03-13 18:47:11 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 564245, 583275    
Attachments:
Description Flags
root.log
none
build.log
none
mock.log
none
root.log
none
build.log
none
mock.log none

Description FTBFS 2010-02-13 12:15:36 EST
flite-1.3-14.fc12.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
This failure is due to a change in the linker default behavior, which uncovered a fault in your package.  See http://fedoraproject.org/wiki/Features/ChangeInImplicitDSOLinking .
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-02-13 12:15:39 EST
Created attachment 392365 [details]
root.log

root.log for i386
Comment 2 FTBFS 2010-02-13 12:15:40 EST
Created attachment 392366 [details]
build.log

build.log for i386
Comment 3 FTBFS 2010-02-13 12:15:41 EST
Created attachment 392367 [details]
mock.log

mock.log for i386
Comment 4 FTBFS 2010-02-13 12:15:43 EST
Created attachment 392368 [details]
root.log

root.log for x86_64
Comment 5 FTBFS 2010-02-13 12:15:44 EST
Created attachment 392369 [details]
build.log

build.log for x86_64
Comment 6 FTBFS 2010-02-13 12:15:45 EST
Created attachment 392370 [details]
mock.log

mock.log for x86_64
Comment 7 Bug Zapper 2010-03-15 10:46:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Jan Klepek 2011-03-13 15:28:12 EDT
Hi,
Do you need any help with this ticket? Do you have any progress on this bug?
Comment 9 Francois Aucamp 2011-03-13 18:47:11 EDT
Hi,
Thanks for the reminder, and my apologies. Fixed and built for rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2909483
Comment 10 Fedora Update System 2011-09-06 22:05:23 EDT
flite-1.3-16.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/flite-1.3-16.fc15
Comment 11 Fedora Update System 2011-10-27 00:00:15 EDT
flite-1.3-16.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2011-10-28 13:25:19 EDT
flite-1.3-16.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.